For the brave ones: Catalyst version of Icro. Requires macOS 10.15, many many things are broken. Download